org.apache.synapse.commons.jmx

## Class JmxInformation

- java.lang.Object
- - org.apache.synapse.commons.jmx.JmxInformation

-     public class JmxInformation
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JmxInformation()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getHostName()`
    `java.lang.String` | `getJmxUrl()`
    `int` | `getJndiPort()`
    `java.lang.String` | `getRemoteAccessFile()`
    `java.lang.String` | `getRemotePasswordFile()`
    `int` | `getRmiPort()`
    `org.wso2.securevault.secret.SecretInformation` | `getSecretInformation()`
    `boolean` | `isAuthenticate()`
    `boolean` | `isRemoteSSL()`
    `void` | `setAuthenticate(boolean authenticate)`
    `void` | `setHostName(java.lang.String host)`
    `void` | `setJndiPort(int jndiPort)`
    `void` | `setRemoteAccessFile(java.lang.String remoteAccessFile)`
    `void` | `setRemotePasswordFile(java.lang.String remotePasswordFile)`
    `void` | `setRemoteSSL(boolean remoteSSL)`
    `void` | `setRmiPort(int rmiPort)`
    `void` | `setSecretInformation(org.wso2.securevault.secret.SecretInformation secretInformation)`
    `void` | `updateJMXUrl()` Builds the JMX URL depending on the existence of RMI port.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JmxInformation

          public JmxInformation()

  - ### Method Detail

    - #### getSecretInformation

          public org.wso2.securevault.secret.SecretInformation getSecretInformation()

    - #### setSecretInformation

          public void setSecretInformation(org.wso2.securevault.secret.SecretInformation secretInformation)

    - #### getHostName

          public java.lang.String getHostName()

    - #### setHostName

          public void setHostName(java.lang.String host)

    - #### getRmiPort

          public int getRmiPort()

    - #### setRmiPort

          public void setRmiPort(int rmiPort)

    - #### getJndiPort

          public int getJndiPort()

    - #### setJndiPort

          public void setJndiPort(int jndiPort)

    - #### isAuthenticate

          public boolean isAuthenticate()

    - #### setAuthenticate

          public void setAuthenticate(boolean authenticate)

    - #### getRemoteAccessFile

          public java.lang.String getRemoteAccessFile()

    - #### setRemoteAccessFile

          public void setRemoteAccessFile(java.lang.String remoteAccessFile)

    - #### getRemotePasswordFile

          public java.lang.String getRemotePasswordFile()

    - #### setRemotePasswordFile

          public void setRemotePasswordFile(java.lang.String remotePasswordFile)

    - #### isRemoteSSL

          public boolean isRemoteSSL()

    - #### setRemoteSSL

          public void setRemoteSSL(boolean remoteSSL)

    - #### updateJMXUrl

          public void updateJMXUrl()

      Builds the JMX URL depending on the existence of RMI port.

    - #### getJmxUrl

          public java.lang.String getJmxUrl()

Copyright © 2005-2021 Apache Software Foundation. All Rights Reserved.